Skip to main content
PUT
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
status
Update Pass Status
curl --request PUT \
  --url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

passTypeIdentifier
string | null
required
serialNumber
string | null
required

Query Parameters

passId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
status
enum<string>
required
Available options:
valid,
invalid,
redeemed,
expired,
unpaid,
locked,
incomplete

Response

Successful Response